Bug 185556 - [maintainer-update] Modernize most of my ports
[maintainer-update] Modernize most of my ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bernhard Froehlich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-07 17:30 UTC by Kevin Zheng
Modified: 2014-01-27 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (13.32 KB, patch)
2014-01-07 17:30 UTC, Kevin Zheng
no flags Details | Diff
patch-updated.diff (12.90 KB, patch)
2014-01-19 17:44 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-01-07 17:30:00 UTC
Modernize most of my ports, in response to portmgr's blanket update approval. A few other changes worth noting:

 - Drop maintainership of audio/timidity, note that there is a pending PR
 - Add LICENSEs and LICENSE_FILEs for a few ports
 - Drop GCC requirement for cad/gspiceui, Clang is fine on my computer

I've tested the changes locally, but not in a cleanroom build and a few ports without installing anything. More sanity checking would be nice.

Fix: Apply the attached patch. I generated it using Git, and I'm not sure whether it will apply right with other tools.

Patch attached with submission follows:
Comment 1 Kevin Zheng 2014-01-19 17:44:21 UTC
Hi there,

A part of my patch needs to be re-rolled because a port was updated. The
new patch is attached.

Thanks,
Kevin Zheng
Comment 2 Bernhard Froehlich freebsd_committer 2014-01-27 14:44:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 3 decke 2014-01-27 15:00:42 UTC
Please, for the future do not send patches over various non dependent ports
in one PR. Many committers will avoid that PRs because it's hard to deal wi=
th
on our side.

--=20
Bernhard Fr=F6hlich
http://www.bluelife.at/
Comment 4 dfilter freebsd_committer 2014-01-27 15:33:33 UTC
Author: decke
Date: Mon Jan 27 15:33:26 2014
New Revision: 341415
URL: http://svnweb.freebsd.org/changeset/ports/341415
QAT: https://qat.redports.org/buildarchive/r341415/

Log:
  - Back to pool
  
  PR:		ports/185556
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/audio/timidity/Makefile

Modified: head/audio/timidity/Makefile
==============================================================================
--- head/audio/timidity/Makefile	Mon Jan 27 15:32:29 2014	(r341414)
+++ head/audio/timidity/Makefile	Mon Jan 27 15:33:26 2014	(r341415)
@@ -9,7 +9,7 @@ MASTER_SITES=	http://www.onicos.com/staf
 DISTFILES=	${TIINS}:tiins ${DISTNAME}.tar.gz:timidity
 EXTRACT_ONLY=	${DISTNAME}.tar.gz
 
-MAINTAINER=	kevinz5000@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI to PCM software synthesizer
 
 CONFLICTS=	timidity++-2.13.*
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2014-01-27 16:23:03 UTC
Author: decke
Date: Mon Jan 27 16:22:55 2014
New Revision: 341421
URL: http://svnweb.freebsd.org/changeset/ports/341421
QAT: https://qat.redports.org/buildarchive/r341421/

Log:
  - Style and typo fixes
  - pkg-plist reordered
  
  PR:		ports/185556
  Submitted by: 	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/cad/ngspice_rework/Makefile
  head/cad/ngspice_rework/pkg-plist

Modified: head/cad/ngspice_rework/Makefile
==============================================================================
--- head/cad/ngspice_rework/Makefile	Mon Jan 27 16:20:00 2014	(r341420)
+++ head/cad/ngspice_rework/Makefile	Mon Jan 27 16:22:55 2014	(r341421)
@@ -10,14 +10,12 @@ DISTNAME=	ngspice-${PORTVERSION}
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Mixed-signal circuit simulator derived from Spice and Cider
 
-OPTIONS_DEFINE=	DEBUG
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes
 USES=		gmake
 
-DEBUG_CONFIGURE_ENABLE=	debig
-
-CONFIGURE_ARGS+=--enable-xspice \
-		--with-readline=yes
+DEBUG_CONFIGURE_ENABLE=	debug
+CONFIGURE_ARGS+=	--enable-xspice --with-readline=yes
 
 .include <bsd.port.mk>

Modified: head/cad/ngspice_rework/pkg-plist
==============================================================================
--- head/cad/ngspice_rework/pkg-plist	Mon Jan 27 16:20:00 2014	(r341420)
+++ head/cad/ngspice_rework/pkg-plist	Mon Jan 27 16:22:55 2014	(r341421)
@@ -1,4 +1,24 @@
-share/ngspice/include/ngspice/tclspice.h
+bin/cmpp
+bin/ngmakeidx
+bin/ngmultidec
+bin/ngnutmeg
+bin/ngproc2mod
+bin/ngsconvert
+bin/ngspice
+lib/ngspice/analog.cm
+lib/ngspice/digital.cm
+lib/ngspice/spice2poly.cm
+lib/ngspice/xtradev.cm
+lib/ngspice/xtraevt.cm
+man/man1/ngmultidec.1.gz
+man/man1/ngnutmeg.1.gz
+man/man1/ngsconvert.1.gz
+man/man1/ngspice.1.gz
+share/ngspice/dlmain.c
+share/ngspice/helpdir/ngspice.idx
+share/ngspice/helpdir/ngspice.txt
+share/ngspice/include/ngspice/1-f-code.h
+share/ngspice/include/ngspice/FastNorm3.h
 share/ngspice/include/ngspice/acdefs.h
 share/ngspice/include/ngspice/bdrydefs.h
 share/ngspice/include/ngspice/bool.h
@@ -7,12 +27,13 @@ share/ngspice/include/ngspice/ciderinp.h
 share/ngspice/include/ngspice/cidersupt.h
 share/ngspice/include/ngspice/cktdefs.h
 share/ngspice/include/ngspice/cluster.h
-share/ngspice/include/ngspice/cmconstants.h
 share/ngspice/include/ngspice/cm.h
+share/ngspice/include/ngspice/cmconstants.h
 share/ngspice/include/ngspice/cmproto.h
 share/ngspice/include/ngspice/cmtypes.h
 share/ngspice/include/ngspice/compatmode.h
 share/ngspice/include/ngspice/complex.h
+share/ngspice/include/ngspice/config.h
 share/ngspice/include/ngspice/const.h
 share/ngspice/include/ngspice/contdefs.h
 share/ngspice/include/ngspice/cpdefs.h
@@ -32,14 +53,15 @@ share/ngspice/include/ngspice/enh.h
 share/ngspice/include/ngspice/evt.h
 share/ngspice/include/ngspice/evtproto.h
 share/ngspice/include/ngspice/evtudn.h
+share/ngspice/include/ngspice/fftext.h
 share/ngspice/include/ngspice/ftedbgra.h
 share/ngspice/include/ngspice/ftedebug.h
 share/ngspice/include/ngspice/ftedefs.h
-share/ngspice/include/ngspice/fteoptdefs.h
 share/ngspice/include/ngspice/ftedev.h
 share/ngspice/include/ngspice/fteext.h
 share/ngspice/include/ngspice/fteinp.h
 share/ngspice/include/ngspice/fteinput.h
+share/ngspice/include/ngspice/fteoptdefs.h
 share/ngspice/include/ngspice/fteparse.h
 share/ngspice/include/ngspice/gendefs.h
 share/ngspice/include/ngspice/gendev.h
@@ -64,9 +86,9 @@ share/ngspice/include/ngspice/memory.h
 share/ngspice/include/ngspice/meshdefs.h
 share/ngspice/include/ngspice/meshext.h
 share/ngspice/include/ngspice/methdefs.h
+share/ngspice/include/ngspice/mif.h
 share/ngspice/include/ngspice/mifcmdat.h
 share/ngspice/include/ngspice/mifdefs.h
-share/ngspice/include/ngspice/mif.h
 share/ngspice/include/ngspice/mifparse.h
 share/ngspice/include/ngspice/mifproto.h
 share/ngspice/include/ngspice/miftypes.h
@@ -102,6 +124,7 @@ share/ngspice/include/ngspice/spmatrix.h
 share/ngspice/include/ngspice/stringutil.h
 share/ngspice/include/ngspice/suffix.h
 share/ngspice/include/ngspice/swec.h
+share/ngspice/include/ngspice/tclspice.h
 share/ngspice/include/ngspice/tfdefs.h
 share/ngspice/include/ngspice/trandefs.h
 share/ngspice/include/ngspice/trcvdefs.h
@@ -109,38 +132,15 @@ share/ngspice/include/ngspice/tskdefs.h
 share/ngspice/include/ngspice/twodev.h
 share/ngspice/include/ngspice/twomesh.h
 share/ngspice/include/ngspice/typedefs.h
-share/ngspice/include/ngspice/wordlist.h
-share/ngspice/include/ngspice/1-f-code.h
-share/ngspice/include/ngspice/FastNorm3.h
-share/ngspice/include/ngspice/fftext.h
 share/ngspice/include/ngspice/wallace.h
+share/ngspice/include/ngspice/wordlist.h
 share/ngspice/include/ngspice/wstdio.h
-share/ngspice/include/ngspice/config.h
-share/ngspice/dlmain.c
-share/ngspice/helpdir/ngspice.txt
-share/ngspice/helpdir/ngspice.idx
-share/ngspice/scripts/spinit
 share/ngspice/scripts/setplot
 share/ngspice/scripts/spectrum
-bin/cmpp
-bin/ngspice
-bin/ngnutmeg
-bin/ngsconvert
-bin/ngproc2mod
-bin/ngmultidec
-bin/ngmakeidx
-lib/ngspice/spice2poly.cm
-lib/ngspice/digital.cm
-lib/ngspice/analog.cm
-lib/ngspice/xtradev.cm
-lib/ngspice/xtraevt.cm
-man/man1/ngmultidec.1.gz
-man/man1/ngnutmeg.1.gz
-man/man1/ngsconvert.1.gz
-man/man1/ngspice.1.gz
-@dirrm lib/ngspice
-@dirrm share/ngspice/scripts
-@dirrm share/ngspice/helpdir
-@dirrm share/ngspice/include/ngspice
-@dirrm share/ngspice/include
-@dirrm share/ngspice
+share/ngspice/scripts/spinit
+@dirrmtry share/ngspice/scripts
+@dirrmtry share/ngspice/include/ngspice
+@dirrmtry share/ngspice/include
+@dirrmtry share/ngspice/helpdir
+@dirrmtry share/ngspice
+@dirrmtry lib/ngspice
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2014-01-27 16:26:15 UTC
Author: decke
Date: Mon Jan 27 16:26:08 2014
New Revision: 341422
URL: http://svnweb.freebsd.org/changeset/ports/341422
QAT: https://qat.redports.org/buildarchive/r341422/

Log:
  - Stagify
  - Update dependencies to new shlib format
  - Fix build by adding USES=pkgconfig
  - Bump PORTREVISION
  
  PR:		ports/185556
  PR:		ports/186131
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/games/crossfire-client/Makefile
  head/games/crossfire-client/pkg-plist

Modified: head/games/crossfire-client/Makefile
==============================================================================
--- head/games/crossfire-client/Makefile	Mon Jan 27 16:22:55 2014	(r341421)
+++ head/games/crossfire-client/Makefile	Mon Jan 27 16:26:08 2014	(r341422)
@@ -3,7 +3,7 @@
 
 PORTNAME=	crossfire-client
 PORTVERSION=	1.70.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	games
 MASTER_SITES=	SF/crossfire/crossfire-${PORTVERSION}
 
@@ -13,9 +13,10 @@ COMMENT=	Cooperative multiplayer graphic
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
 
 GNU_CONFIGURE=	yes
+USES=		pkgconfig
 USE_GL=		glut
 USE_GNOME=	gtk20 libglade2
 USE_SDL=	sdl image mixer
@@ -24,9 +25,6 @@ CONFIGURE_ARGS+=	--disable-alsa --disabl
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN6=	crossfire-client-gtk2.6
-
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e '/#include <curl\/types.h>/d' \
 		${WRKSRC}/common/metaserver.c
@@ -36,8 +34,8 @@ post-patch:
 post-install:
 	${CP} ${WRKSRC}/pixmaps/48x48.png ${WRKSRC}/pixmaps/crossfire-client.png
 	${INSTALL_DATA} ${WRKSRC}/gtk-v2/crossfire-client.desktop \
-		${PREFIX}/share/applications
+		${STAGEDIR}${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/pixmaps/crossfire-client.png \
-		${PREFIX}/share/pixmaps
+		${STAGEDIR}${PREFIX}/share/pixmaps
 
 .include <bsd.port.mk>

Modified: head/games/crossfire-client/pkg-plist
==============================================================================
--- head/games/crossfire-client/pkg-plist	Mon Jan 27 16:22:55 2014	(r341421)
+++ head/games/crossfire-client/pkg-plist	Mon Jan 27 16:26:08 2014	(r341422)
@@ -1,7 +1,7 @@
 bin/cfsndserv
 bin/crossfire-client-gtk2
+man/man6/crossfire-client-gtk2.6.gz
 share/applications/crossfire-client.desktop
-share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/caelestis.glade
 %%DATADIR%%/glade-gtk2/chthonic.glade
 %%DATADIR%%/glade-gtk2/dialogs.glade
@@ -16,6 +16,7 @@ share/pixmaps/crossfire-client.png
 %%DATADIR%%/glade-gtk2/v1-redux.glade
 %%DATADIR%%/themes/Black
 %%DATADIR%%/themes/Standard
-@dirrm %%DATADIR%%/glade-gtk2
-@dirrm %%DATADIR%%/themes
-@dirrm %%DATADIR%%
+share/pixmaps/crossfire-client.png
+@dirrmtry %%DATADIR%%/themes
+@dirrmtry %%DATADIR%%/glade-gtk2
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2014-01-27 16:29:26 UTC
Author: decke
Date: Mon Jan 27 16:29:18 2014
New Revision: 341423
URL: http://svnweb.freebsd.org/changeset/ports/341423
QAT: https://qat.redports.org/buildarchive/r341423/

Log:
  - Stagify
  - Update dependencies to new shlib format
  - Add LICENSE
  - Bump PORTREVISION
  
  PR:		ports/185556
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/games/freedroid/Makefile
  head/games/freedroid/pkg-plist

Modified: head/games/freedroid/Makefile
==============================================================================
--- head/games/freedroid/Makefile	Mon Jan 27 16:26:08 2014	(r341422)
+++ head/games/freedroid/Makefile	Mon Jan 27 16:29:18 2014	(r341423)
@@ -3,15 +3,18 @@
 
 PORTNAME=	freedroid
 PORTVERSION=	1.0.2
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}Classic/FreedroidClassic-${PORTVERSION}
 
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Clone of the Commodore game Paradroid
 
-LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png
 
 USES=		iconv
 USE_SDL=	mixer image sdl
@@ -23,17 +26,12 @@ DESKTOP_ENTRIES=	"Freedroid Classic" "${
 			"${DATADIR}/graphics/999.png" \
 			"freedroid" "Game;ArcadeGame;" false
 
-MAN6=		freedroid.6
-
-NO_STAGE=	yes
 post-extract:
 .for d in graphics map sound
 	@${FIND} ${WRKSRC}/${d} -type f -name "Makefile*" -print0 | \
 		${XARGS} -0 ${RM}
 .endfor
 
-.include <bsd.port.pre.mk>
-
 post-patch:
 	@${REINPLACE_CMD} -e 's#-lSDL # #;' \
 				${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
@@ -42,4 +40,4 @@ post-patch:
 	@${REINPLACE_CMD} -e 's#\#include \"mac-osx/getopt\.h\"##;' \
 				${WRKSRC}/src/system.h
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/games/freedroid/pkg-plist
==============================================================================
--- head/games/freedroid/pkg-plist	Mon Jan 27 16:26:08 2014	(r341422)
+++ head/games/freedroid/pkg-plist	Mon Jan 27 16:29:18 2014	(r341423)
@@ -1,4 +1,5 @@
 bin/freedroid
+man/man6/freedroid.6.gz
 %%DATADIR%%/graphics/001.jpg
 %%DATADIR%%/graphics/001.png
 %%DATADIR%%/graphics/123.jpg
@@ -104,9 +105,9 @@ bin/freedroid
 %%DATADIR%%/sound/dreamfish-uridium2_loader.mod
 %%DATADIR%%/sound/kollaps-tron.mod
 %%DATADIR%%/sound/starpaws.mod
-@dirrm %%DATADIR%%/sound
-@dirrm %%DATADIR%%/map
-@dirrm %%DATADIR%%/graphics/lanzz_theme
-@dirrm %%DATADIR%%/graphics/classic_theme
-@dirrm %%DATADIR%%/graphics
-@dirrm %%DATADIR%%
+@dirrmtry %%DATADIR%%/sound
+@dirrmtry %%DATADIR%%/map
+@dirrmtry %%DATADIR%%/graphics/lanzz_theme
+@dirrmtry %%DATADIR%%/graphics/classic_theme
+@dirrmtry %%DATADIR%%/graphics
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2014-01-27 16:32:01 UTC
Author: decke
Date: Mon Jan 27 16:31:54 2014
New Revision: 341424
URL: http://svnweb.freebsd.org/changeset/ports/341424
QAT: https://qat.redports.org/buildarchive/r341424/

Log:
  - Stagify
  - Update dependencies to new shlib format
  - Add LICENSE
  - Bump PORTREVISION
  
  PR:		ports/185556
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/games/netrek-client-cow/Makefile

Modified: head/games/netrek-client-cow/Makefile
==============================================================================
--- head/games/netrek-client-cow/Makefile	Mon Jan 27 16:29:18 2014	(r341423)
+++ head/games/netrek-client-cow/Makefile	Mon Jan 27 16:31:54 2014	(r341424)
@@ -3,7 +3,7 @@
 
 PORTNAME=	netrek-client-cow
 PORTVERSION=	3.3.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	http://www.netrek.org/files/COW/ \
 		http://quozl.us.netrek.org/netrek/
@@ -11,7 +11,9 @@ MASTER_SITES=	http://www.netrek.org/file
 MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	Multi-player battle simulation with a Star Trek theme
 
-LIB_DEPENDS=	Imlib2:${PORTSDIR}/graphics/imlib2
+LIB_DEPENDS=	libImlib2.so:${PORTSDIR}/graphics/imlib2
+
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes
 USES=		gmake
@@ -19,7 +21,6 @@ USE_SDL=	sdl mixer
 
 CONFIGURE_ARGS+=	NORSA='\#'
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e 's|ushort  damage|unsigned short damage|' \
 		${WRKSRC}/short.c
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2014-01-27 16:34:46 UTC
Author: decke
Date: Mon Jan 27 16:34:39 2014
New Revision: 341425
URL: http://svnweb.freebsd.org/changeset/ports/341425
QAT: https://qat.redports.org/buildarchive/r341425/

Log:
  - Stagify
  - Update dependencies to new shlib format
  - Bump PORTREVISION
  
  PR:		ports/185556
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)

Modified:
  head/security/gnomint/Makefile
  head/security/gnomint/pkg-plist

Modified: head/security/gnomint/Makefile
==============================================================================
--- head/security/gnomint/Makefile	Mon Jan 27 16:31:54 2014	(r341424)
+++ head/security/gnomint/Makefile	Mon Jan 27 16:34:39 2014	(r341425)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gnomint
 PORTVERSION=	1.2.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	SF
 
@@ -11,20 +11,20 @@ MAINTAINER=	kevinz5000@gmail.com
 COMMENT=	X.509 Certification Authority management tool
 
 LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt \
-		gnutls:${PORTSDIR}/security/gnutls \
-		sqlite3:${PORTSDIR}/databases/sqlite3
+LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+		libgnutls.so:${PORTSDIR}/security/gnutls \
+		libsqlite3.so:${PORTSDIR}/databases/sqlite3
 
 GNU_CONFIGURE=	yes
 USES=		gmake perl5 pkgconfig
 USE_GNOME=	gconf2 gdkpixbuf2 glib20 gtk20
-CFLAGS:=	${CFLAGS:C/-Werror//}
 
+CFLAGS:=	${CFLAGS:C/-Werror//}
 
 OPTIONS_DEFINE=	NLS
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}

Modified: head/security/gnomint/pkg-plist
==============================================================================
--- head/security/gnomint/pkg-plist	Mon Jan 27 16:31:54 2014	(r341424)
+++ head/security/gnomint/pkg-plist	Mon Jan 27 16:34:39 2014	(r341425)
@@ -72,3 +72,5 @@ etc/gconf/schemas/gnomint.schemas
 %%NLS%%@dirrmtry lib/locale/sv/LC_MESSAGES
 %%NLS%%@dirrmtry lib/locale/sv
 %%NLS%%@dirrmtry lib/locale
+@dirrmtry etc/gconf/schemas
+@dirrmtry etc/gconf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 decke 2014-01-27 16:39:42 UTC
I could not commit the update to cad/gspiceui because it fails to build
on FreeBSD 8.x and 9.x with base gcc 4.2. Please have a look at the
buildlogs on those platforms and create a new PR with the updated patch
for that port.

https://redports.org/~decke/20140127151028-71273-172538/gspiceui-1.0.00_4.l=
og
https://redports.org/~decke/20140127151028-71273-172539/gspiceui-1.0.00_4.l=
og

All other patches were committed without changes. Thanks!!

--=20
Bernhard Fr=F6hlich
http://www.bluelife.at/
Comment 11 Bernhard Froehlich freebsd_committer 2014-01-27 16:40:44 UTC
State Changed
From-To: open->closed

All ports except cad/gspiceui committed. Thanks!